package CalcTree;

/** 
 * Interface fr Knoten des Operatorbaums 
 */

public interface CalcTreeNode {

	/**
	 * Wertet den Operatorbaum aus, der an diesem Knoten beginnt und gibt das Ergebnis zurck. 
	 * @return Ergebnis der Auswertung
	 */
	public int eval();
	
	/**
	 * Gibt den Operatorbaum als String in Preorder-Darstellung zurck.
	 * @return Preorder-Darstellung des Operatorbaums
	 */
	public String preOrderString();
	
	/**
	 * Gibt den Operatorbaum als String in Postorder-Darstellung zurck.
	 * @return Postorder-Darstellung des Operatorbaums
	 */
	public String postOrderString();
	
	/**
	 * Gibt den Operatorbaum als String in Inorder-Darstellung zurck.
	 * @return Inorder-Darstellung des Operatorbaums
	 */
	public String inOrderString();
		
}
